AchievementServiceProxy = (function() {
    var constructor = function() {
		/* public functions */
	    this['getAchievement'] = function(achievementId) {
		    console.log('AchievementServiceProxy: getAchievement');
			var dfd = $.Deferred();
			var args = {};
			args['achievementId'] = achievementId;
			NativeTransport.serviceCall({target: "AchievementsService", method: "getAchievement", guestModeMethod: "getAchievementPublic", args: args}).always(function(responseJson, resultCode) {
			    console.log('getAchievement complete: ' + JSON.stringify(responseJson));
				dfd.resolve(responseJson, resultCode);
			});
			
			return dfd.promise();
		};
		
		this['getAchievements'] = function() {
		    console.log('AchievementServiceProxy: getAchievements');
			var dfd = $.Deferred();
			var args = {};
			NativeTransport.serviceCall({target: "AchievementsService", method: "getAchievements", guestModeMethod: "getAchievementsPublic", args: args}).always(function(responseJson, resultCode) {
			    console.log('getAchievements complete: ' + JSON.stringify(responseJson));
				dfd.resolve(responseJson, resultCode);
			});
			
			return dfd.promise();
		};
		
		this['updateAchievementProgress'] = function(achievementId, progress) {
		    console.log('AchievementServiceProxy: updateAchievementProgress');
			var dfd = $.Deferred();
			var args = {};
    	    args['achievementId'] = achievementId;
    	    args['progress'] = progress;
			NativeTransport.serviceCall({target: "AchievementsService", method: "updateAchievementProgress", args: args}).always(function(responseJson, resultCode) {
			    console.log('updateAchievementProgress complete: ' + JSON.stringify(responseJson));
				dfd.resolve(responseJson, resultCode);
			});
			
			return dfd.promise();
		};
		
		this['loadIcon'] = function(achievementId, iconSize, isUnlocked) {
		    console.log('AchievementServiceProxy: loadIcon');
		};
    };  
		
    return constructor;
}());
console.log("AchievementServiceProxy loaded.");
