function scrollifyHelper(elementId)
{
	myScroll = new iScroll(elementId, {
		useTransform: true,
		zoom: false,

		onBeforeScrollStart: function (e) {
			var target = e.target;

			while (target.nodeType !== 1) {
				target = target.parentNode;
			}

			if (target.tagName !== 'SELECT' && target.tagName !== 'INPUT' && target.tagName !== 'TEXTAREA') {
				e.preventDefault();
			}
		}
	});

	return myScroll;
}

(function($) {
	var iScrollObj;

	$.fn.scrollify = function() {
		iScrollObj = scrollifyHelper(this.selector);
		return iScrollObj;
	};

	$.fn.refreshScrollBounds = function() {
		setTimeout(function () { iScrollObj.refresh(); }, 0);
	};
}(jQuery));
