var savedTitle = '';
var savedTarget = '';

function renderData(request) {
    var requestParams = request['params'];
    var requestAggregateCounts = request['aggregateCounts'];

    var target = requestParams['target'];
    var method = requestParams['method'];
    var title = requestParams['title'];
    var description = requestParams['description'];
    var icon = requestParams['icon'];

    var	targetDupes = requestAggregateCounts[savedTarget];

    if (targetDupes != undefined) {
        if(savedTitle != '') {
            title = savedTitle;
        }

        if(savedTarget=='Leaderboard') {
            title = 'New high score for ' + title;
        }

        title = title + ' and ' + targetDupes + ' more earned!';
        document.getElementById("title").innerHTML=title;
    } else {
    	savedTitle = title;
    	savedTarget = target;

        var buttonVisibility = 'hidden';
      
        if (target=='Achievement') {
            title = title + ' earned!';
        } else if(target=='Leaderboard') {
            title = 'New high score for ' + title + ' earned!';
        } else if (target=='Welcome') {
            title = 'Welcome!';
        } else if (target=='WelcomeGuest') {
            title = 'Welcome, Guest';
            description = 'This game uses Amazon GameCircle.';
            buttonVisibility = '';
            document.getElementById("toastbutton").innerHTML='Sign in';
        } else if (target=='WelcomeBack') {
            title = 'Welcome, ' + requestParams['alias'];
            description = 'Amazon GameCircle is enabled.';
        } else {
            title = 'New high score!';
        }

        document.getElementById("title").innerHTML=title;
        document.getElementById("description").innerHTML=description;
        document.getElementById("toastbutton").style.visibility=buttonVisibility;
    }
}